Package org.apache.sling.scripting.sightly.js.impl.rhino

# Class HybridObject

java.lang.Object
org.apache.sling.scripting.sightly.js.impl.rhino.HybridObject

All Implemented Interfaces:
  `org.apache.sling.scripting.sightly.Record<Object>`, `org.mozilla.javascript.Scriptable`

public class HybridObject extends Object implements org.mozilla.javascript.Scriptable, org.apache.sling.scripting.sightly.Record<Object>
Instances of this class can be used in both HTL & JavaScript scripts.

## Field Summary

### Fields inherited from interface org.mozilla.javascript.Scriptable

`NOT_FOUND`

## Constructor Summary

Constructors
Constructor
Description
`HybridObject(org.mozilla.javascript.Scriptable scriptable, JsValueAdapter jsValueAdapter)`

## Method Summary

Modifier and Type
Method
Description
`void`
`delete(int index)`
`void`
`delete(String name)`
`Object`
`get(int index, org.mozilla.javascript.Scriptable start)`
`Object`
`get(String name, org.mozilla.javascript.Scriptable start)`
`String`
`getClassName()`
`Object`
`getDefaultValue(Class hint)`
`Object[]`
`getIds()`
`org.mozilla.javascript.Scriptable`
`getParentScope()`
`Object`
`getProperty(String name)`
`Set<String>`
`getPropertyNames()`
`org.mozilla.javascript.Scriptable`
`getPrototype()`
`boolean`
`has(int index, org.mozilla.javascript.Scriptable start)`
`boolean`
`has(String name, org.mozilla.javascript.Scriptable start)`
`boolean`
`hasInstance(org.mozilla.javascript.Scriptable instance)`
`void`
`put(int index, org.mozilla.javascript.Scriptable start, Object value)`
`void`
`put(String name, org.mozilla.javascript.Scriptable start, Object value)`
`void`
`setParentScope(org.mozilla.javascript.Scriptable parent)`
`void`
`setPrototype(org.mozilla.javascript.Scriptable prototype)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HybridObject

public HybridObject(org.mozilla.javascript.Scriptable scriptable, JsValueAdapter jsValueAdapter)

## Method Details

### getProperty

public Object getProperty(String name)

Specified by:
  `getProperty` in interface `org.apache.sling.scripting.sightly.Record<Object>`

### getPropertyNames

public Set<String> getPropertyNames()

Specified by:
  `getPropertyNames` in interface `org.apache.sling.scripting.sightly.Record<Object>`

### getClassName

public String getClassName()

Specified by:
  `getClassName` in interface `org.mozilla.javascript.Scriptable`

### get

public Object get(String name, org.mozilla.javascript.Scriptable start)

Specified by:
  `get` in interface `org.mozilla.javascript.Scriptable`

### get

public Object get(int index, org.mozilla.javascript.Scriptable start)

Specified by:
  `get` in interface `org.mozilla.javascript.Scriptable`

### has

public boolean has(String name, org.mozilla.javascript.Scriptable start)

Specified by:
  `has` in interface `org.mozilla.javascript.Scriptable`

### has

public boolean has(int index, org.mozilla.javascript.Scriptable start)

Specified by:
  `has` in interface `org.mozilla.javascript.Scriptable`

### put

public void put(String name, org.mozilla.javascript.Scriptable start, Object value)

Specified by:
  `put` in interface `org.mozilla.javascript.Scriptable`

### put

public void put(int index, org.mozilla.javascript.Scriptable start, Object value)

Specified by:
  `put` in interface `org.mozilla.javascript.Scriptable`

### delete

public void delete(String name)

Specified by:
  `delete` in interface `org.mozilla.javascript.Scriptable`

### delete

public void delete(int index)

Specified by:
  `delete` in interface `org.mozilla.javascript.Scriptable`

### getPrototype

public org.mozilla.javascript.Scriptable getPrototype()

Specified by:
  `getPrototype` in interface `org.mozilla.javascript.Scriptable`

### setPrototype

public void setPrototype(org.mozilla.javascript.Scriptable prototype)

Specified by:
  `setPrototype` in interface `org.mozilla.javascript.Scriptable`

### getParentScope

public org.mozilla.javascript.Scriptable getParentScope()

Specified by:
  `getParentScope` in interface `org.mozilla.javascript.Scriptable`

### setParentScope

public void setParentScope(org.mozilla.javascript.Scriptable parent)

Specified by:
  `setParentScope` in interface `org.mozilla.javascript.Scriptable`

### getIds

public Object[] getIds()

Specified by:
  `getIds` in interface `org.mozilla.javascript.Scriptable`

### getDefaultValue

public Object getDefaultValue(Class hint)

Specified by:
  `getDefaultValue` in interface `org.mozilla.javascript.Scriptable`

### hasInstance

public boolean hasInstance(org.mozilla.javascript.Scriptable instance)

Specified by:
  `hasInstance` in interface `org.mozilla.javascript.Scriptable`